#ifndef _IRDAEMON_H_
#define _IRDAEMON_H_

#include <stdint.h>

#define IRD_MSG_TYPE               uint32_t
#define IRD_MSG_LEN                sizeof(IRD_MSG_TYPE)
#define IRD_MSG_SwitchToAppleTv    0x1 //Notify that appletv is playing stuff
#define IRD_MSG_SwitchToSat        0x2 //Notify that appletv stopped playing stuff
#define IRD_MSG_SingleSourceSwitch 0x3 //One single click on the source button
#define IRD_MSG_GetStatus          0x4

typedef enum {
  EIS_init     = 0x696e6974, //"init"
  EIS_sat      = 0x20736174, //" sat"
  EIS_appleTv  = 0x61707476, //"aptv"
  EIS_unknown  = 0x756e6b77  //"unkw"
} EN_state_t;

const char *g_ird_infoFifo = "/tmp/irDaemonInfo";
const char *g_ird_ctrlFifo = "/tmp/irDaemonCtrl";

#endif
